214 countries and territories189 of 193 UN membersmonthly to 2026-09back to 1926
Documentation / Releases / 63 of 75

Data gaps

GET/v1/gaps

Every monthly country from its first figure to last month: the months held, missing, not published by the source and withheld, with the missing runs. Nothing before a country's first figure counts as missing. Free.

On every plan, Free includedKey requiredJSON or CSVCached until the next release
Parameters
NameTypeDescription
countryoptionalstring
query
One or more ISO codes, comma separated
e.g. CL,BA,AT
Request
# Which months each country is missing
curl "https://api.tourismapi.com/v1/gaps?country=CL" \
  -H "X-API-Key: $TOURISM_API_KEY"
Ready
Example response
{
    "meta": {
        "request_id": "req_4c9d20",
        "data_as_of": "2026-10-14T12:00:00Z",
        "count": 1,
        "next": null
    },
    "data": [
        {
            "country": "VN",
            "name": "Vietnam",
            "measure": "arrivals",
            "series": "sr_k2v8x0q1",
            "first": "2008-01",
            "latest": "2026-09",
            "months_held": 220,
            "months_missing": 0,
            "months_not_published": 0,
            "months_withheld": 0,
            "months_pending": 0,
            "complete_pct": 100,
            "missing": [],
            "not_published": [],
            "withheld": [],
            "checked_at": "2026-10-14T12:00:00Z"
        }
    ]
}
Response fields
FieldTypeExample
countrystringVN
namestringVietnam
measurestringarrivals
seriesstringsr_k2v8x0q1
firststring2008-01
lateststring2026-09
months_heldnumber220
months_missingnumber0
months_not_publishednumber0
months_withheldnumber0
months_pendingnumber0
complete_pctnumber100
missingarray0 items
not_publishedarray0 items
withheldarray0 items
checked_atstring2026-10-14T12:00:00Z